# Interface methods for submodule: ChangeInformationImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ChangeInformationImageFilter
class ChangeInformationImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetReferenceImage(self, image) -> None:
		""""""
		...

	def GetModifiableReferenceImage(self):
		""""""
		...

	def GetReferenceImage(self):
		""""""
		...

	def SetUseReferenceImage(self, _arg: bool) -> None:
		""""""
		...

	def UseReferenceImageOn(self) -> None:
		""""""
		...

	def UseReferenceImageOff(self) -> None:
		""""""
		...

	def GetUseReferenceImage(self) -> bool:
		""""""
		...

	def SetOutputSpacing(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetOutputSpacing(self) -> Sequence[float]:
		""""""
		...

	def SetOutputOrigin(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetOutputOrigin(self) -> Sequence[float]:
		""""""
		...

	def SetOutputDirection(self, _arg) -> None:
		""""""
		...

	def GetOutputDirection(self):
		""""""
		...

	@overload
	def SetOutputOffset(self, _arg: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetOutputOffset(self, data) -> None:
		""""""
		...

	def GetOutputOffset(self) -> Sequence[int]:
		""""""
		...

	def ChangeAll(self) -> None:
		""""""
		...

	def ChangeNone(self) -> None:
		""""""
		...

	def SetChangeSpacing(self, _arg: bool) -> None:
		""""""
		...

	def ChangeSpacingOn(self) -> None:
		""""""
		...

	def ChangeSpacingOff(self) -> None:
		""""""
		...

	def GetChangeSpacing(self) -> bool:
		""""""
		...

	def SetChangeOrigin(self, _arg: bool) -> None:
		""""""
		...

	def ChangeOriginOn(self) -> None:
		""""""
		...

	def ChangeOriginOff(self) -> None:
		""""""
		...

	def GetChangeOrigin(self) -> bool:
		""""""
		...

	def SetChangeDirection(self, _arg: bool) -> None:
		""""""
		...

	def ChangeDirectionOn(self) -> None:
		""""""
		...

	def ChangeDirectionOff(self) -> None:
		""""""
		...

	def GetChangeDirection(self) -> bool:
		""""""
		...

	def SetChangeRegion(self, _arg: bool) -> None:
		""""""
		...

	def ChangeRegionOn(self) -> None:
		""""""
		...

	def ChangeRegionOff(self) -> None:
		""""""
		...

	def GetChangeRegion(self) -> bool:
		""""""
		...

	def SetCenterImage(self, _arg: bool) -> None:
		""""""
		...

	def CenterImageOn(self) -> None:
		""""""
		...

	def CenterImageOff(self) -> None:
		""""""
		...

	def GetCenterImage(self) -> bool:
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def GenerateData(self) -> None:
		""""""
		...

